import re, os, glob, shutil
# ファイル一覧を取得する
files = glob.glob("*.mp3")
base_dir = os.path.dirname(__file__)
# 各ファイルごとに処理を行う
for f in files:
    m = re.search(r'_([a-zA-Z]+)_([0-9]+)\.mp3', f)
    if m is None:
        print("マッチしない", f)
    else:
        # カッコで囲った部分を得る
        lang = m.group(1)
        no = m.group(2)
        # 言語ごとのフォルダにコピー
        path = os.path.join(base_dir, lang)
        if not os.path.exists(path):
          os.mkdir(path)
        newfile = os.path.join(path, f)
        print(newfile)
        shutil.copy(f, newfile)


